//##ModelId=419A04D502EE
enum FSBaseTypeSpecifiers
{
   /* type specifiers */
	//##ModelId=419A04D502F9
   FS_NOTYPE = 0,
	//##ModelId=419A04D50302
   FS_INT = 1,
	//##ModelId=419A04D5030C
   FS_CHAR = 2,
	//##ModelId=419A04D50316
   FS_FLOAT = 4,
	//##ModelId=419A04D50320
   FS_DOUBLE = 8,
	//##ModelId=419A04D5032A
   FS_VOID = 16,
	//##ModelId=419A04D50334
   FS_LONG = 32,
	//##ModelId=419A04D5033E
   FS_SHORT = 64,
	//##ModelId=419A04D50348
   FS_SIGNED = 128,
	//##ModelId=419A04D50352
   FS_UNSIGNED = 256,
   /* type qualifiers */
	//##ModelId=419A04D5035C
   FS_CONST = 512,
	//##ModelId=419A04D50366
   FS_VOLATILE = 1024,
   /* class specifiers */
	//##ModelId=419A04D50370
   FS_AUTO = -1,
	//##ModelId=419A04D5037A
   FS_EXTERN = -2,
	//##ModelId=419A04D5038E
   FS_REGISTER = -4,
	//##ModelId=419A04D50398
   FS_STATIC = -8,
	//##ModelId=419A04D503A3
   FS_TYPEDEF = -16
};

//##ModelId=419A04D503B7
enum FSTypeId {
	//##ModelId=419A04D503C2
	FS_T_BASE, 
	//##ModelId=419A04D503CB
	FS_T_ENUM, 
	//##ModelId=419A04D503D5
	FS_T_STRUCT, 
	//##ModelId=419A04D503DF
	FS_T_UNION, 
	//##ModelId=419A04D60001
	FS_T_PTR, 
	//##ModelId=419A04D6000B
	FS_T_FUNCT, 
	//##ModelId=419A04D60015
	FS_T_ARR
};

//##ModelId=419A04D6001F
typedef union  {
	//FSSymbol *ptrSym;
	//FSType *ptrType;
	//FSSymbolList *ptrSymList;
	FSBaseTypeSpecifiers spec;
	FSTypeId typId;
    char *ptrChar;
	char ascii;
} YYSTYPE;
extern YYSTYPE yylval;
#define _SPEC_MOD 257
#define _SPEC_QUAL 258
#define _SEGMENT 259
#define _HW_SPEC_QUAL 260
#define _HI_TECH_SPEC_QUAL 261
#define _SPEC_STRG_CL 262
#define _SBIT 263
#define _BIT 264
#define _SFR 265
#define _SFR16 266
#define _SFRP 267
#define _BASED 268
#define _IAR_INT 269
#define _IAR_USING 270
#define _THREAD 271
#define _ASM 272
#define _HI_TECH_ASM 273
#define _EXCEPT 274
#define _FINALLY 275
#define _TRY 276
#define _PRIORITY 277
#define _TASK 278
#define _USING 279
#define _AT 280
#define _COSMIC_6805_AT 281
#define _C51_NOPAR 282
#define _C51_166_INT 283
#define _C166_REGMASK 284
#define _IAR_UNARY 285
#define _IAR_ARGS 286
#define _IAR_CON 287
#define _SEGNAME 288
#define _SELF 289
#define _EMIT 290
#define NEWLINE 291
#define SHARP 292
#define SHARPSHARP 293
#define _ASM_START 294
#define _ASM_END 295
#define STRING 296
#define ICON 297
#define FCON 298
#define TYPE 299
#define CONST_VOLAT 300
#define STRUCT 301
#define ENUM 302
#define TTYPE 303
#define CLASS 304
#define NAME 305
#define ELSE 306
#define RETURN 307
#define GOTO 308
#define IF 309
#define SWITCH 310
#define CASE 311
#define DEFAULT 312
#define BREAK 313
#define CONTINUE 314
#define WHILE 315
#define DO 316
#define FOR 317
#define LC 318
#define RC 319
#define SEMI 320
#define ELLIPSIS 321
#define COMMA 322
#define EQUAL 323
#define ASSIGNOP 324
#define QUEST 325
#define COLON 326
#define OROR 327
#define ANDAND 328
#define OR 329
#define XOR 330
#define AND 331
#define EQUOP 332
#define RELOP 333
#define SHIFTOP 334
#define PLUS 335
#define MINUS 336
#define STAR 337
#define DIVOP 338
#define SIZEOF 339
#define UNOP 340
#define INCOP 341
#define _BASE_OPERATOR 342
#define LB 343
#define RB 344
#define LP 345
#define RP 346
#define STRUCTOP 347
